# Flow Modification
source: https://developer.mastercard.com/open-finance-europe/documentation/unlicensed/aiia-pay/connect/flow-modification/index.md

It is possible to change a Connect Flow for better control of the data received. These modifications can be enabled by passing different query parameters to the `/v1/oauth/connect/` endpoint.

### Limiting bank and account choices {#limiting-bank-and-account-choices}

By passing `providerId` with the value of a provider id from our API (can be fetched using `/v1/providers` endpoint), the end user will be limited to logging in to provided specific bank only.
On top of that, it is possible to pass `bank_account_numbers` with array of BBAN or IBAN numbers. If the end user login into a bank that has accounts with one of these bank account numbers, the end user will be forced to either connect them or exit the flow.
Note: Using `bank_account_numbers`, requires `providerId` to be also set.

### Pre-filling email {#pre-filling-email}

`email` or `consentId` can be passed to the pre-fill email field in Connect Flow for improved user experience. The end user can still change it, and this does not force end user to login using that specific email.

### Changing the language {#changing-the-language}

`culture` can be passed to change the site's language, but the value must follow ISO 639-1 format. We currently support English (`en`), Danish (`da`), Swedish (`se`), Finnish (`fi`) and Norwegian (`no`). The browser's language is used by default.

### Requesting all accounts to be shared {#requesting-all-accounts-to-be-shared}

`selectAllAccounts` can be passed with value `true` to request (not force) the end user to consent to all new connected accounts as well as giving ability to check later whether the end user did or did not consent to all new connected accounts using the Get account selection endpoint.

API Reference: `GET /v1/consent/{consentId}/all-accounts-selected`

Note: `selectAllAccounts` only applies to our one-time flow
